Bug 1153322 (CVE-2014-3690) - CVE-2014-3690 kernel: kvm: vmx: invalid host cr4 handling across vm entries
Summary: CVE-2014-3690 kernel: kvm: vmx: invalid host cr4 handling across vm entries
Status: NEW
Alias: CVE-2014-3690
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141021,repor...
Keywords: Security
Depends On: 1153326 1153327 1153328 1153329 1155372 1170559
Blocks: 1153325
TreeView+ depends on / blocked
 
Reported: 2014-10-15 19:02 UTC by Petr Matousek
Modified: 2019-05-20 11:18 UTC (History)
13 users (show)

(edit)
It was found that the Linux kernel's KVM implementation did not ensure that the host CR4 control register value remained unchanged across VM entries on the same virtual CPU. A local, unprivileged user could use this flaw to cause a denial of service on the system.
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0290 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-03-05 16:13:58 UTC
Red Hat Product Errata RHSA-2015:0782 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-04-07 19:08:32 UTC
Red Hat Product Errata RHSA-2015:0864 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-04-21 19:00:52 UTC

Description Petr Matousek 2014-10-15 19:02:42 UTC
It was found that the host cr4 value can change across vm entries on the same
vcpu and yet it was being treated as being constant. This can interfere with,
for example, PR_SET_TSC settings (cr4/TSD bit), leading to inconsistent state.

A local, unprivileged user could use this flaw to cause denial of service on
the system.

Acknowledgements:

Red Hat would like to thank Andy Lutomirski for reporting this issue.

Comment 1 Petr Matousek 2014-10-15 19:03:05 UTC
Statement:

This issue does affects the Linux kernel packages as shipped with Red Hat
Enterprise Linux 6 and 7. Future updates may address this issue in the
respective Red Hat Enterprise Linux releases.

This issue does affect the kvm packages as shipped with Red Hat Enterprise Linux 5, even though the impact is limited.

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 6 Murray McAllister 2014-10-22 03:08:49 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1155372]

Comment 7 Fedora Update System 2014-10-28 06:43:04 UTC
kernel-3.16.6-202.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-11-03 05:22:53 UTC
kernel-3.17.2-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-11-16 14:46:30 UTC
kernel-3.14.23-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2015-03-05 12:52:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0290 https://rhn.redhat.com/errata/RHSA-2015-0290.html

Comment 12 errata-xmlrpc 2015-04-07 15:12:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:0782 https://rhn.redhat.com/errata/RHSA-2015-0782.html

Comment 13 errata-xmlrpc 2015-04-21 15:01:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:0864 https://rhn.redhat.com/errata/RHSA-2015-0864.html


Note You need to log in before you can comment on or make changes to this bug.